html,body {
  background-color: #fafafa !Important;
  /* height: fit-content; */
  min-height: 100vh !important;
  /* position: relative; */
}

.hero {
  background-image: url('/assets/hero-short-wide2.png');
  background-size: auto 100%;
  background-repeat: no-repeat;
  background-position: top left;
  /*min-height: 120vh;*/
  width: 100vw;
  top: 0;
  margin: 0;
  margin-top: 90px;
  /*padding-bottom: 20vh;*/
}

.shadow-bg {
  background-image: url('/assets/wavey-background-middle.png');
  background-size: 100vw 400px;
  background-repeat: no-repeat;
  background-position: middle left;  
  width: 100vw;
  min-height: 295px;
}
.help {
  width: 45%;
  margin-left: auto;
  margin-right: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  min-height: 60px;
  padding: 5px;
  text-align: center;
  border-radius: 15px;
  background-color: rgba(73, 13, 103, 1);
  font-size: large;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
  color: #ffffff;
  position: fixed;  
  top: 30vh;
  right: 10px;
  z-index: 101;
  max-width: 350px;
}
.help:after {
	content: '';
	position: absolute;
	bottom: 0;
	left: 20%;
	width: 0;
	height: 0;
	border: 20px solid transparent;
	border-top-color: rgba(73, 13, 103, 0.9);
	border-bottom: 0;
	border-left: 0;
	margin-left: -10px;
	margin-bottom: -20px;
}
.ng-invalid:not(form)  {
  border: 1px solid #a94442; /* red */
}
.main-container {
  margin: auto;
  padding: 10px;
  margin-top: 10px;   
  max-width: 1250px;
}
.loading {
  position: fixed;
  z-index: 999;
  height: 100%;
  width: 100%;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: rgba(256, 256, 256, 0.95)  
}
.card {
  border-radius: 2px;
  border: 1px solid #121212;
  padding: 20px;
  background-color: #ffffff;
  box-shadow: 0 0.5rem 1rem 0 rgba(0, 0, 0, 0.1);
}
h2, h3, h4 {
  color: #490d67;
}
hr{
  height: 1px;
  background-color: #490d67;
  border: none;
}
label {
  font-weight: bold;
}
.btn-full {
  background-color: #490d67;
}
.tile input[type="radio"] {
  display: none;
}

.tile label {
  display: inline-block;
  background-color: #f8f8f8;
  border: 1px solid #ddd;
  padding: 12px 11px;
  cursor: pointer;
  border-radius: 0px;
  margin-right:3px;
}

.tile input[type="radio"]:checked+label {
  background-color: hsla(120, 100%, 75%, 0.1);
  color: green;
  border: 1px solid green;
}
input[type='checkbox'] {
    width:20px;
    height:20px;  
    border:2px solid #490d67;
    color: #490d67;
}
.masive {
  font-size: 38px;
  font-weight: bold;
}
.reference {
  font-size: 38px;
  font-weight: bold;
  color: #490d67;
}
.grey {
  color: #696c70;
}
label[required='true']::after, .required::after {			
  font-weight: 400;
  color: red; 	   
  content : ' *'  
}

#card-number {
    background-image: none;

    background-origin: content-box;
    background-position: calc(100%) center;
    background-repeat: no-repeat;
    background-size: contain;
}

#bambora-card-number {
	font-size: 1.25rem !Important;
	height: 2.25rem;
	font: 400 1.25rem system-ui;
}

#feedback.error {
    color: red;
    border: 1px solid;
}

#feedback.success {
    color: seagreen;
    border: 1px solid;
}

.has-error {
	visibility: visible;
}

/* buttons */
input.btn {
    vertical-align: top;
}

input.btn, 
.btn-main,
.btn-main-active {
	
		font: normal normal normal 17px/1.4em helvetica-w01-roman,helvetica-w02-roman,helvetica-lt-w10-roman,sans-serif;
	  background-color: inherit;
    position: relative;
    color: #28a745;
    display: inline-block;        
		border-radius: 5px !Important;
		border: 1px solid #28a745;
		padding: 10px;
		padding-left: 15px;
		padding-right: 15px;		
}

.btn-main-active:hover {
		background-color: #28a745;
		color: #fff;
}

input.btn:hover, input.btn:active {
		background-color: #28a745;
}

input.btn:active {
    box-shadow: inset 0 0 35px rgba(0, 0, 0, 0.3);		
		color: #28a745;
		pointer: click;
}

input.btn:disabled,
.btn-main:disabled {
    opacity: 0.6;
}

.alert {
  text-align: center;
}

.alert::before {
  color: red;
  content: '* ';
}

a {
  color: #490d67 !Important;
}

.purple {
    color: #490d67;
}

.blueish-colour {
    color: #59A5A1;
}

.modal-content {
  border-radius: 1rem !important;
}

.modal-header {
  border-top-left-radius: 1rem !important;
  border-top-right-radius: 1rem !important;
}

@media only screen and (max-width: 1000px) {
  .shadow-bg {
    background-size: auto;
  }
}

@media(max-width:414px) {
  .main-container {
    padding-left: 5%;
    --margin-top: 50px;
  }
  .mobile {
    float: left;
  }
  .hero, .shadow-bg {
    background-size: cover;
  }
  
}